#include <Adafruit_BMP085.h>

#define SEA_LEVEL_PRESSURE 101325 // Pa

Adafruit_BMP085 bmp;

void setup() {
  Serial.begin(115200);
  
  while (!bmp.begin()) {
    Serial.println("Sensore non trovato!");
    delay(1000);
  }
}
  
void loop() {
  float t = bmp.readTemperature();
  float p = bmp.readPressure() / 100.0;
  float a = bmp.readAltitude(SEA_LEVEL_PRESSURE);

  Serial.println("Temperatura: " + String(t) + " °C");
  Serial.println("Pressione: " + String(p) + " hPa");
  Serial.println("Altitudine: " + String(a) + " m");
  Serial.println();
  delay(1000);
}
